;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:DDS(/ tot ind ent)
(prompt “nDialogue box edit(Text선택)”)
(setq tot(ssget) ind 0)
(repeat (sslength tot)
(setq ent(cdar(entget(ssname tot ind))) ind(1+ ind))
(command “ddedit” ent “”) )
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
dds라는 명령어이구요. 문자를 여러개 클릭해서 순서대로 수정할 수 있습니다.
제가 dds이렇게 입력하면
알수없는 명령 : 도면요소이름 이렇게 나오고요.
ERROR : 기능을 취소함 AutoCad 변수설정이 거부됨~~~ 이렇게 나옮니다. ㅠㅠ
해결 방법 좀 알려주세요 고수님들~~
DDEDIT 명령은 TEXTEDIT 명령으로 변경되었습니다.
(defun c:DDS (/ ss i)
(prompt “nDialogue box edit(Text선택)”)
(and
(setq i 0 ss (ssget ‘((0 . “*TEXT,DIMENSION,TOLERANCE”))))
(repeat (sslength ss) (command “TEXTEDIT” (ssname ss i) “”) (setq i (1+ i)))
)
(princ)
)
완젼 감사드립니다~~^^